Bug 848061 - [rhevm] able to create a new storage domain from LUN that used by different storage domain
[rhevm] able to create a new storage domain from LUN that used by different s...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity medium
: ---
: 3.1.0
Assigned To: Daniel Erez
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 09:35 EDT by vvyazmin@redhat.com
Modified: 2016-02-10 13:55 EST (History)
11 users (show)

See Also:
Fixed In Version: SI15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs vdsm, rhevm, screen-shots (3.90 MB, application/x-gzip)
2012-08-14 09:35 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2012-08-14 09:35:42 EDT
Created attachment 604300 [details]
## Logs vdsm, rhevm, screen-shots

Description of problem: Succeed create a new SD from LUN that used by another SD


Version-Release number of selected component (if applicable):
Verified on RHEVM 3.1 - SI13.3

RHEVM: rhevm-3.1.0-11.el6ev.noarch
VDSM: vdsm-4.9.6-27.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
Scenario A:
1. Create iSCSI SD
2. Extend SD from privies step
3. Create a new SD, select one of LUNs that used for extend SD from previous step
4. Warning pop-up appear "This operation might be unrecoverable and destructive!", with approve check box "Approve operation"

Scenario B:
1. Create a iSCSI SD
2. Create a new SD, select LUN that used for creation SD from privies step 

 
Actual results:
Succeed create SD, but I failed attach, I get following error in event:
“Invalid status on Data Center DC-iSCSI-01. Setting status to Non-Responsive.
”
“Failed to attach Storage Domain sDomain-iSCSI-02-TT to Data Center DC-iSCSI-01. (User: admin@internal)
”
“Invalid status on Data Center DC-iSCSI-01. Setting status to Non-Responsive.
”

See screen-shots attached 

Expected results:
Failed or prevent create SD
.

Additional info:
Show incompatible/used LUNs as grayed out
Comment 1 Daniel Erez 2012-08-20 13:54:08 EDT
patch merged upstream 1ef1c400f32f5eb088e6ee91c28aade9950c3fc7
Comment 3 vvyazmin@redhat.com 2012-08-22 09:49:45 EDT
Verified on RHEVM 3.1 - SI15

RHEVM: rhevm-3.1.0-13.el6ev.noarch
VDSM: vdsm-4.9.6-29.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64

Note You need to log in before you can comment on or make changes to this bug.